import { defineComponent } from "vue";
import styles from './index.module.less'

export default defineComponent({
  props: {
    text: {
      type: String,
      default: '暂无数据'
    },
    icon: {
      type: String,
      default: 'noData-no-message'
    }
  },
  render() {
    return (
      <div class={styles["empty-container"]}>
        <SvgIcon name={this.icon} class={[styles.icon]} />
        <p class={styles['empty-text']}>{this.text}</p>
      </div>
    )
  }
})